XSalsa20 Class Reference

XSalsa20 stream cipher. More...

Inheritance diagram for XSalsa20:

## Public Types

typedef SymmetricCipherFinal< ConcretePolicyHolder< XSalsa20_Policy, AdditiveCipherTemplate<> >, XSalsa20_Info > | Encryption
typedef Encryption | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from XSalsa20_Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 24 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 24 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

XSalsa20 stream cipher.

XSalsa20 provides a variable number of rounds: 8, 12 or 20. The default number of rounds is 20.

See also
  XSalsa20

Definition at line 80 of file salsa.h.

The documentation for this class was generated from the following file:

- salsa.h